# principles and practice of sem, 5th ed.
# rex b. kline, guilford press, 2023

# R packages used in analysis examples for this book

# with one exception, packages are installed from CRAN
# (Comprehensive R Archive Network)

# R console commands to install packages from CRAN are listed next

install.packages("lavaan", dependencies = TRUE)
install.packages("dagitty")
install.packages("ggm")
install.packages("semTools")
install.packages("piecewiseSEM")
install.packages("psych")
install.packages("systemfit")
install.packages("bmem")
install.packages("sem")
install.packages("WebPower")
install.packages("MBESS")
install.packages("cSEM")
install.packages("MIIVsem")
install.packages("remotes")

# for more information about packages on CRAN, see
# https://cran.r-project.org/web/packages/index.html

# the package CauseAndCorrelation is installed
# from GitHub, not CRAN

# once installed, package remotes from CRAN
# can be used to install CauseAndCorrelation
# from GitHub as specified next

library(remotes)

if (!require("BiocManager", quietly = TRUE))
    install.packages("BiocManager")
BiocManager::install("graph")

remotes::install_github("BillShipley/CauseAndCorrelation")

